<?xml version="1.0"?>
<doc>
<assembly>
<name>
JobServer.GlobalObjects
</name>
</assembly>
<members>
<member name="T:JF.PlmJobManager.JobServer.My.Resources.Resources">
<summary>
  Eine stark typisierte Ressourcenklasse zum Suchen von lokalisierten Zeichenfolgen usw.
</summary>
</member>
<member name="P:JF.PlmJobManager.JobServer.My.Resources.Resources.ResourceManager">
<summary>
  Gibt die zwischengespeicherte ResourceManager-Instanz zurück, die von dieser Klasse verwendet wird.
</summary>
</member>
<member name="P:JF.PlmJobManager.JobServer.My.Resources.Resources.Culture">
<summary>
  Überschreibt die CurrentUICulture-Eigenschaft des aktuellen Threads für alle
  Ressourcenzuordnungen, die diese stark typisierte Ressourcenklasse verwenden.
</summary>
</member>
<member name="T:JF.PlmJobManager.JobServer.GlobalConstants.NX_Env">
 <summary>
 Contains Application Global Constance for NX
 </summary>
 <remarks> 
 #New: 3.1487;16.11.2018;J.Fes
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.GlobalConstants.NX_Env.JobMgr_NXCachePath_DP">
 <summary>
 defines name of env var 'JobMgr_NXCachePath_DP'
 the Environ variable JobMgr_NXCachePath_DP points to directory where NX Cache parts are located
 </summary>
 <remarks> 
 #New: 3.1487;16.11.2018;J.Fes
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.GlobalConstants.NX_Env.JobMgr_NXSourcePath_DP">
 <summary>
 defines name of env var 'JobMgr_NXSourcePath_DP'
 the Environ variable JobMgr_NXSourcePath_DP points to directory where the NX parts that is processed are located
 </summary>
 <remarks> 
 #New: 3.1487;28.11.2018;J.Fes
 </remarks>
</member>
<member name="T:JF.PlmJobManager.JobServer.GlobalConstants.CheckBox_Env">
 <summary>
 Contains CheckBox constances to organize cb data
 </summary>
 <remarks> 
 #New: 3.1488;08.03.2019;S.Gueth
 #LUp: 3.1489;10.05.2019;S.Gueth
 #LUp: 3.2000;25.03.2024;S.Gueth: added CBDataExt_p
 </remarks>
</member>
<member name="T:JF.PlmJobManager.JobServer.GlobalConstants.TaskSheduler_DataGrid_Filter_Enum">
 <summary>
 definiert die Datenfilter der TaskSheduler View
 </summary>
 <remarks></remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.GlobalConstants.TaskShedulter_DataGridFilter_ToolStripComboBox_Fill(System.Windows.Forms.ToolStripComboBox@)">
 <summary>
 fills TaskShedulterDataFilter_ToolStripComboBox with values of TaskShedulerDataFilter_Enum
 </summary>
 <param name="TaskShedulterDataFilter_ToolStripComboBox_in"></param>
 <remarks></remarks>
</member>
<member name="T:JF.PlmJobManager.JobServer.GlobalConstants.TaskShedulerProcessStepControl_Enum">
 <summary>
 definiert die verfügbaren Process Steps eines TaskSheduler Processes
 </summary>
 <remarks></remarks>
</member>
<member name="T:JF.PlmJobManager.JobServer.DiffEsimated_As_enum">
 <summary>
 Defines how to estimate Differences 
 </summary>
 <remarks>New: 2.1194;28.02.2013;J.Fes</remarks>
</member>
<member name="F:JF.PlmJobManager.JobServer.DiffEsimated_As_enum.DiffReport_as_ERR">
 <summary>
 Diffences will be reported as Error.
 </summary>
 <remarks>!! DO NOT CHANGE XmlEnum !!</remarks>
</member>
<member name="F:JF.PlmJobManager.JobServer.DiffEsimated_As_enum.DiffReport_as_WRN">
 <summary>
 Diffences will be reported as Warning.
 </summary>
 <remarks>!! DO NOT CHANGE XmlEnum !!</remarks>
</member>
<member name="F:JF.PlmJobManager.JobServer.DiffEsimated_As_enum.DiffReport_NO">
 <summary>
 Diffences will NOT be reported.
 </summary>
 <remarks>!! DO NOT CHANGE XmlEnum !!</remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.GlobalInststances.Debug_Stopwatch_Obj">
 <summary>
 JobMgr Global Debug_Stopwatch_Obj 
 ONLY for temp usage 
 </summary>
</member>
<member name="P:JF.PlmJobManager.JobServer.GlobalInststances.MyAppl_AppData_DP">
 <summary>
 Returns Users local %appdata%\JobManagerV3 (GlobalConstants.MyApplBase_TP)
 </summary>
 <value></value>
 <returns></returns>
 <remarks>New: 2.1210;22.12.2014;J.Fes</remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.GlobalInststances.ServerSettingsLoadStatus">
 <summary>
 Used to tranfer the used ServerSettingsXML_DPNE
 </summary>
 <remarks> 
 <br/>#New: 3.2000;12.06.2025;J.Fes
 </remarks>>
</member>
<member name="P:JF.PlmJobManager.JobServer.GlobalInststances.MyAppl_Ver">
 <summary>
 Returns Application Version 
 #Doc: Syntax is now: VX.YYYY (Build:DD.MM.YYYY:[Build.Nr])
 <example>V2.1200 (Build:12.09.2013:[5])</example>
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobServer.GlobalInststances.JobMgrVersionAndBuildDateGet">
 <summary>
 gets the JobManager version a nd Build date 
 </summary>
 <remarks> 
 #New: 3.1489;24.06.2019;S.Gueth
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.GlobalInststances.JobControl_ProcStateCol_ValueList">
 <summary>
 Returns shared JobControl_ProcStateCol_ValueList_lp
 <see cref="M:JF.PlmJobManager.JobServer.GlobalInststances.JobControl_ProcStateCol_ValueList_fill(JF.PlmJobManager.JobServer.ProcessGroupConfig.ProcessGroups)"/>
 </summary>
 <returns></returns>
</member>
<member name="M:JF.PlmJobManager.JobServer.GlobalInststances.JobControl_ProcStateCol_DisplayTextGet(System.String)">
 <summary>
 function to get proc state col display text by ProcStateCol name
 </summary>
 <remarks> 
 #New: 3.1475;11.09.2018;S.Gueth
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobServer.GlobalInststances.JobControl_ProcStateCol_ValueList_fill(JF.PlmJobManager.JobServer.ProcessGroupConfig.ProcessGroups)">
 <summary>
 Updates ValueList of Shared JobControl_ProcStateCol_ValueList_lp
 </summary>
 <remarks> 
 #LUp: 3.1601;04.04.2022;S.Gueth: added Display Text if JobGeneration is set to false
 #LUp: 3.1602;26.07.2022;J.Fes: changed DisplayText += from " JopGen" -> to:" Job.Gen:NO"
 #LUp: 3.1800;02.04.2023;J.Fes: changed DisplayText += from " JopGen" -> to:"!! [Pgr.Name] !!-Job.Gen:NO-!!"
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.GlobalInststances.JobMgr_Root_BinCustom_DP">
 <summary>
 Returns JobMgr_BinCustom_DP 
 <para/>#Doc: Returns for JobServer #JobMgr_Root_DP#\01-BinServer.Custom all other cases #JobMgr_Root_DP#\02-BinClient.Custom
 <para/>#Doc: in case of changes see also \JobManagerContracts\JobServer.Temp.ExtractedClasses\CommandLineArgs.vb Public WriteOnly Property ServerSettingsXML() As String 
 </summary>
 <remarks> 
 #New: 3.1489;26.06.2019;J.Fes
 </remarks>
</member>
<member name="P:JF.PlmJobManager.JobServer.GlobalInststances.JobMgr_Root_DP">
 <summary>
 Returns vaule for JobMgr_Root_DP 
 <para/>#Doc: Importand uses env: JobMgr_Root_DP  
 </summary>
 <remarks> 
 #New: 3.1489;26.06.2019;J.Fes
 </remarks>
</member>
</members>
</doc>
